Subject: Ticket Assigned - Delivery
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Fri, 18 Dec 2020 06:00:37 +0000

Hi Algaili Abdelbagee Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery So I have followed up with you a million times about my order. There was an item that you cancelled without informing me nor telling me why. And upon asking, you said you were processing it and you will get back to me soon. Were you doing this so I forget about it and you pretend  nothing happened? Because here’s my theory, the item I bought had a very low price which I believe was put there by mistake and when you saw my order you realized that and so you simply hoped I would let it go and forget about it instead of being professional by apologizing or taking the blame and simply deliver it at the price that was displayed at. But you’re not professional I take it. That’s why this is how you deal with your customers!! A customer who is loyal and always buys from all centerpoing shops!

So really, thank you for your great customer experience! I’d rather pay more in another shop just to get better service and feel appreciated! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1884048